package cn.com.ty.lift.business.emergency.controller;


import cn.com.ty.lift.business.framework.conf.SystemConfiguration;
import cn.com.ty.lift.business.emergency.entity.ErRecordImg;
import cn.com.ty.lift.business.emergency.service.ErRecordImgService;
import cn.com.xwy.boot.web.dto.RestResponse;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 临修图片 前端控制器
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@AllArgsConstructor
@RestController
@RequestMapping("/emergency/er-record-img")
public class ErRecordImgController {

    private ErRecordImgService erRecordImgService;

    private SystemConfiguration systemConfiguration;

    /**
     * @description 根据急修单id查找急修图片
     * @date 2019/12/10 17:00
     * @param
     * @return
     */
    @PostMapping("list")
    public RestResponse list(Long erRecordId){
        if(null == erRecordId || erRecordId <= 0){
            return RestResponse.failParam();
        }
        List<ErRecordImg> lists = erRecordImgService.findByErRecordId(erRecordId);
        if(null == lists || lists.size() == 0){
            return RestResponse.fail();
        }
        for (ErRecordImg item : lists){

        }
        return RestResponse.success(lists);
    }
}
